import socket
import string
import sys

def prepare_data(size):
    nb = 1000
    data = ""
    for i in range(int(size/nb)):
        data = data + string.ascii_uppercase[i]*nb
    rest = size - int(size/nb)*nb
    data = data + string.ascii_uppercase[int(size/nb)]*rest

    return data


def transmit(host, port, size):
    data = prepare_data(size)
    sock = socket.socket(family=socket.AF_INET6, type=socket.SOCK_DGRAM\
        , proto=socket.IPPROTO_UDP, fileno=None)

    sock.sendto(data.encode(), (host, port))
    
    sock.close()
    
def usage(prog):
    print("Usage: " + prog + " host port payload_length")

def main(argv):
    if len(sys.argv) < 4:
        usage(argv[0])
        sys.exit(1)
    transmit(argv[1], int(argv[2]), int(argv[3]))

if __name__ == "__main__":
    main(sys.argv)
